[[deqp]]
deqp = "/data/deqp/modules/gles2/deqp-gles2"
caselists = ["/data/deqp/mustpass/gles2-master.txt"]
deqp_args = [
    "--deqp-surface-width=256",
    "--deqp-surface-height=256",
    "--deqp-surface-type=pbuffer",
    "--deqp-gl-config-name=rgba8888d24s8ms0",
    "--deqp-visibility=hidden"
]
version_check = "GL ES 3.2.*git"
renderer_check = "virgl"

[[deqp]]
deqp = "/data/deqp/modules/gles3/deqp-gles3"
caselists = ["/data/deqp/mustpass/gles3-master.txt"]
deqp_args = [
    "--deqp-surface-width=256",
    "--deqp-surface-height=256",
    "--deqp-surface-type=pbuffer",
    "--deqp-gl-config-name=rgba8888d24s8ms0",
    "--deqp-visibility=hidden"
]
timeout = 180.0

[[deqp]]
deqp = "/data/deqp/modules/gles31/deqp-gles31"
caselists = ["/data/deqp/mustpass/gles31-master.txt"]
deqp_args = [
    "--deqp-surface-width=256",
    "--deqp-surface-height=256",
    "--deqp-surface-type=pbuffer",
    "--deqp-gl-config-name=rgba8888d24s8ms0",
    "--deqp-visibility=hidden"
]
timeout = 180.0

[[deqp]]
deqp = "/data/deqp/external/openglcts/modules/glcts"
caselists = [
    "/data/deqp/mustpass/gl43-master.txt",
]
deqp_args = [
    "--deqp-surface-width=256",
    "--deqp-surface-height=256",
    "--deqp-surface-type=pbuffer",
    "--deqp-gl-config-name=rgba8888d24s8ms0",
    "--deqp-visibility=hidden"
]
# Some of the GL4.3 tests will tank virglrenderer and cause remaining rendering
# to fail until things are recreated, so just do single-test-per-group on them
# until virglrenderer is stabilized.
tests_per_group = 1

[[piglit]]
piglit_folder = "/piglit"
profile = "quick"
process_isolation = true
  [piglit.env]
  PIGLIT_PLATFORM = "x11_egl"
